Subject: RE: WinXP username with spaces --> wmaker ko
From: "Alan Miles" <[email-masked]>
To: <[email-masked]>, <[email-masked]>
Cc: "Alan Miles" <[email-masked]>
Date: Sat, 5 Apr 2003 14:12:30 -0600

Igor,

Will do. Thanks for your input.

Alan

-----Original Message-----
From: Igor Pechtchanski [mailto:[email-masked]]
Sent: April 5, 2003 14:03
To: [email-masked]
Cc: [email-masked]
Subject: RE: WinXP username with spaces --> wmaker ko

On Sat, 5 Apr 2003, Alan Miles wrote:

> Igor,
>
> I appreciate your input -
>
> >> you can actually *have* two users, e.g., "Alan Miles" and
> >> "Alan_Miles",
>
> That possibility had not occurred to me - thanks for pointing that flaw
out.
>
> Since, this for me, is a problem at home, and not at work -I would have to
> investigate this in my own time. The perl items
> I need for both home and work, so I can investigate that item there.
>
> I could (when I have some time) look at determining what scripts need
> fixing - once such "broken" script would be /etc/profile:
>
> >   cp -a /etc/skel/. $HOME
>
> should probably read:
>
> >   cp -a /etc/skel/. "$HOME"
>
> Igor, if I could get a list of such patches together, could you provide me
> with a "sanity" check (like you already have done). That way
> any flawed reasoning can be dealt with.
> [snip]
> Cheers,
> Alan

Alan,

I'm sure if you post the patches (or a link to a website containing them)
to this list, you'll get plenty of feedback.  I'll certainly take a look
at them, although someone may beat me to it.

FYI, it's best if the patches are in unidiff (diff -up) format, as per
<http://cygwin.com/contrib.html> (even though your patches won't be to
the Cygwin source tree).  That way they are easier to review.
	Igor
P.S. If you provide a patch, make sure to specify exactly which package
and which version the patch is for...
--
				http://cs.nyu.edu/~pechtcha/
      |\      _,,,---,,_		[email-masked]
ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
     |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski
    '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!

Knowledge is an unending adventure at the edge of uncertainty.
  -- Leto II

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/